/tag/:uid/config/:id
curl --request PUT \
--url https://api.tagdeliver.com/v1/tag/{uid}/config/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audience_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"browser_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"device_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"disable_adhesion_bg": true,
"disable_branding": true,
"floors_model": "<string>",
"geo_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"in_view": true,
"limit": "<string>",
"os_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"refresh": true,
"region_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"relocate": true,
"sizes": {
"desktop": [
"<string>"
],
"mobile": [
"<string>"
],
"tablet": [
"<string>"
]
},
"target": "<string>",
"target_injection": "<string>",
"unit": "<string>",
"url_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"viewport_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"stack": 123,
"label": "<string>"
}
'{
"results": {
"domain": "example.com",
"id": 11598,
"uid": 18620,
"label": "Test Config",
"stack": 814,
"config": {
"audience_filter": {
"matches": [],
"type": "include"
},
"browser_filter": {
"matches": [],
"type": "include"
},
"device_filter": {
"matches": [],
"type": "include"
},
"disable_adhesion_bg": false,
"disable_branding": false,
"floors_model": "ci_dynamic",
"geo_filter": {
"matches": [],
"type": "include"
},
"in_view": true,
"limit": "",
"os_filter": {
"matches": [],
"type": "include"
},
"refresh": true,
"region_filter": {
"matches": [],
"type": "include"
},
"relocate": false,
"sizes": {
"desktop": [
"728x90"
],
"mobile": [
"320x50"
],
"tablet": [
"728x90"
]
},
"target": "body",
"target_injection": "after",
"url_filter": {
"matches": [],
"type": "include"
},
"viewport_filter": {
"matches": [],
"type": "include"
},
"start": null,
"end": null,
"label": "Test Config",
"unit": "adhesion"
},
"revision": 2,
"date_added": "2025-10-29 13:28:19",
"date_updated": "2025-10-29 13:29:52",
"status": 0,
"in_experiment": false
},
"success": true
}Publisher/Config (Ad unit)
/tag/:uid/config/:id
Updates and existing config
PUT
/
v1
/
tag
/
{uid}
/
config
/
{id}
/tag/:uid/config/:id
curl --request PUT \
--url https://api.tagdeliver.com/v1/tag/{uid}/config/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audience_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"browser_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"device_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"disable_adhesion_bg": true,
"disable_branding": true,
"floors_model": "<string>",
"geo_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"in_view": true,
"limit": "<string>",
"os_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"refresh": true,
"region_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"relocate": true,
"sizes": {
"desktop": [
"<string>"
],
"mobile": [
"<string>"
],
"tablet": [
"<string>"
]
},
"target": "<string>",
"target_injection": "<string>",
"unit": "<string>",
"url_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"viewport_filter": {
"matches": [
"<string>"
],
"type": "<string>"
},
"stack": 123,
"label": "<string>"
}
'{
"results": {
"domain": "example.com",
"id": 11598,
"uid": 18620,
"label": "Test Config",
"stack": 814,
"config": {
"audience_filter": {
"matches": [],
"type": "include"
},
"browser_filter": {
"matches": [],
"type": "include"
},
"device_filter": {
"matches": [],
"type": "include"
},
"disable_adhesion_bg": false,
"disable_branding": false,
"floors_model": "ci_dynamic",
"geo_filter": {
"matches": [],
"type": "include"
},
"in_view": true,
"limit": "",
"os_filter": {
"matches": [],
"type": "include"
},
"refresh": true,
"region_filter": {
"matches": [],
"type": "include"
},
"relocate": false,
"sizes": {
"desktop": [
"728x90"
],
"mobile": [
"320x50"
],
"tablet": [
"728x90"
]
},
"target": "body",
"target_injection": "after",
"url_filter": {
"matches": [],
"type": "include"
},
"viewport_filter": {
"matches": [],
"type": "include"
},
"start": null,
"end": null,
"label": "Test Config",
"unit": "adhesion"
},
"revision": 2,
"date_added": "2025-10-29 13:28:19",
"date_updated": "2025-10-29 13:29:52",
"status": 0,
"in_experiment": false
},
"success": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I